HELP!!! with installing wine and playing starcraft

Forum: Games
Topic: HELP!!! with installing wine and playing starcraft
started by: thanatos8472

Posted by thanatos8472 on July 07 2005,19:20
i'm a complete beginner to lInux in general and specifically DSL. I've managed to actually get DSL to work properly and i think i'm starting to get the hang of this cool OS. However, i really want to get starcraft to play and i have NO idea at all as to how to go about it. I've downloaded the file for WINE from sourceforge, but the directions in the readme arent working. i try to open the wineinstaller and it tells me:

"configure: error: no acceptable C compiler found in $PATH"

if anyone could please help me fix this or install it another way  and any other pointers that i need to know about running starcraft i would be eternally grateful  :D  

Thank You

Posted by SaidinUnleashed on July 07 2005,19:52
apt-get install wine

if you have not restored dpkg, you will need to do that first.

Apps >> tools >> enable apt

Posted by thanatos8472 on July 07 2005,21:33
thank you for replying so quickly. i tried your suggestion but now i seem to be having trouble with "apt-get install wine" after i typed it in this is what it told me:

root@box:~# apt-get install wine
Reading Package Lists... Done
Building Dependency Tree... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine: Depends: debconf but it is not going to be installed
       Depends: libwine (= 0.0.20020411-1) but it is not going to be installed
       Depends: xbase-clients (>= 4.0) but it is not going to be installed or
E: Broken packages

As i mentioned earlier, a i am a COMPLETE noob and i have no idea what to make of any of this. (this is my first experience with Linux and I'm surprised that i made it this far!!) please help me out and tell me where i went wrong.

Thanks again for your time and knowledge!

P.S. any tips on what to do after i get wine to work and how to install starcraft would be greatly appreciated too . Thanks!!! :;):

Posted by ke4nt1 on July 24 2005,09:46
Edit your /etc/apt/sources.list --> change oldstable to stable.


Posted by mstrhelix on Aug. 17 2005,04:49
XFree86.dsl and the nvidia.dsl

Do you also need the above files?

Posted by ke4nt1 on Aug. 17 2005,05:09
According to my first post in the games section about this,
both wine and StarCraft together will run in stock DSL.
<;t=4143 >

Obviously, Xfree86 and NVidia will enhance gameplay.
Depends on the horsepower of your system..

Not required, but recommended..


Posted by jls legalize on Aug. 17 2005,14:36
so there is a wine.dsl?
Posted by ke4nt1 on Aug. 17 2005,15:53
No wine.dsl to be found in the repository...

But once you apt-get install wine, and run winesetup for
your particular partitioning and system hardware,
wine is easy to make into a .dsl , should you choose to..


Powered by Ikonboard 3.1.2a
Ikonboard © 2001 Jarvis Entertainment Group, Inc.